| Package | Description |
|---|---|
| com.google.api.services.dns.model |
| Modifier and Type | Method and Description |
|---|---|
ResourceRecordSet |
ResourceRecordSet.clone() |
ResourceRecordSet |
ResourceRecordSet.set(String fieldName,
Object value) |
ResourceRecordSet |
ResourceRecordSet.setKind(String kind)
Identifies what kind of resource this is.
|
ResourceRecordSet |
ResourceRecordSet.setName(String name)
For example, www.example.com.
|
ResourceRecordSet |
ResourceRecordSet.setRrdatas(List<String> rrdatas)
As defined in RFC 1035 (section 5) and RFC 1034 (section 3.6.1) -- see examples.
|
ResourceRecordSet |
ResourceRecordSet.setSignatureRrdatas(List<String> signatureRrdatas)
As defined in RFC 4034 (section 3.2).
|
ResourceRecordSet |
ResourceRecordSet.setTtl(Integer ttl)
Number of seconds that this ResourceRecordSet can be cached by resolvers.
|
ResourceRecordSet |
ResourceRecordSet.setType(String type)
The identifier of a supported record type.
|
| Modifier and Type | Method and Description |
|---|---|
List<ResourceRecordSet> |
Change.getAdditions()
Which ResourceRecordSets to add?
|
List<ResourceRecordSet> |
Change.getDeletions()
Which ResourceRecordSets to remove? Must match existing data exactly.
|
List<ResourceRecordSet> |
ResourceRecordSetsListResponse.getRrsets()
The resource record set resources.
|
| Modifier and Type | Method and Description |
|---|---|
Change |
Change.setAdditions(List<ResourceRecordSet> additions)
Which ResourceRecordSets to add?
|
Change |
Change.setDeletions(List<ResourceRecordSet> deletions)
Which ResourceRecordSets to remove? Must match existing data exactly.
|
ResourceRecordSetsListResponse |
ResourceRecordSetsListResponse.setRrsets(List<ResourceRecordSet> rrsets)
The resource record set resources.
|
Copyright © 2011–2019 Google. All rights reserved.